Subject: Re: next-20160210 build: 2 failures 4 warnings (next-20160210)

From: Mark Brown <[email-masked]>
Date: Wed, 10 Feb 2016 09:52:52 +0000

On Wed, Feb 10, 2016 at 09:12:25AM +0000, Build bot for Mark Brown wrote:

Today's -next fails to build on non-SMP configurations due to:

> 	arm-multi_v5_defconfig
> ../drivers/cpufreq/cpufreq_governor.c:251:3: error: implicit declaration of function 'irq_work_queue_on' [-Werror=implicit-function-declaration]

caused by 0144fa03ef4606ae (cpufreq: governor: Replace timers with
utilization update callbacks).  IS_ENABLED() in an if statement doesn't
do a good job of making things conditional here since the code still has
to compile cleanly in both cases and there is no definition at all of
irq_work_queue_on() for !SMP.